Package protocolP2P

## Enum CodeType

- java.lang.Object
- - java.lang.Enum<CodeType>
  - - protocolP2P.CodeType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<CodeType>`

    public enum CodeType
    extends java.lang.Enum<CodeType>

Request/Response code's type enum.

Version:
  1.0
Author:
  Louis Royer, Flavien Haas, JS Auge

### Enum Constant Summary

Enum Constants
`ERROR`
`REQUEST`
`RESPONSE`

### Method Summary

All Methods Static Methods Concrete Methods
`static CodeType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CodeType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REQUEST

    public static final CodeType REQUEST

#### RESPONSE

    public static final CodeType RESPONSE

#### ERROR

    public static final CodeType ERROR

### Method Detail

#### values

    public static CodeType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CodeType c : CodeType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CodeType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null